Main page...           Popular tags: Electronics (12), Linux (11), DIY (8), Hack (8), Other (6), Retrocomputing (6), Debian (5), Curiosities (4)


Re-making a gear for tape memory

2017-09-24 01:47:52,  In: DIY, Electronics

A long time ago I acquired a microcomputer-grade tape recorder produced by Polish factory: MK-450. The problem with this device and a few other tape drives (like Mera one for large cassettes) and even consumer-grade decks (MK-250) was a poor quality of its gears prone to breakage. Usually, during seeking or playback, a loud crack is heard and tape is pulled into recorder or forward seeking stops working while motor is still heard. Recently I got a possibility to print something with 3D printer, so I decided to experiment with it. In this post I'll show how to re-produce the existing, physical gear into computer model. To quickly show things, the result is nice:

   But... why does it fail?

The plastic used to make these two specific gears (in MK450) is different than polymer used in other gears. It degrades into white, crumbling powder with atmospheric contact and probably humidity from air. When left factory, the gears were yellowish-transparent. Now they are white. But why these two gears had to be made using a different polymer? They are located in parts which contact moving and simultaneously spinning gears like small clutches. It means that they have to be immune to spinning contact with another gear and with slipping, as well as withstand large sliding distances. Normal polymer could do it, but with unpleasant noises when switching and quite significant abrasive wear. It looks like the manufacturer's rule was that if a clutch is in action, one of its gears must be made with failing polymer. This plastic is a bit more elastic, being good in these clutches. Unfortunately, that's all good about it as after years it falls apart. I think that most 3D printer filaments in such small parts will become elastic enough to make it work, probably not as quiet as original ones but without destroying other gears (what can happen when metal substitutes are used).

   Get the wheel!

To remove the gear for measurements, I disassembled the device by removing bottom covers, screws and opening top part. Access to the gear is simple, only foil snap ring has to be removed from the right spindle, then spindle is removed (do not loose the spring under it!) and upper failing gear is exposed. It is protected by another ring.
The other wheel can be accessed similar way: Removing right spindle, then removing spring from bottom lever holding it. Next, by prying the lever upwards a bit, remove the lever from its middle holder part (in which it rotates), it goes a bit deeper on the right side and has to be removed from this part with care. Do not bang the wheel into the upper gear because it will be destroyed. HAving the lever, there is a pin holding the gear to the hub on the lever, it can be removed with fingernails or knocked with other pin from the top side.

   Measurement

I decided to go two ways simultaneously. First was just measuring things with a caliper and noting results on a piece of paper:
The other method was to scan the wheel using 2400dpi flatbed scanner and use the scan to observe smaller differences and tooth profile (what is important with all gears - usually they are not triangular nor trapezoedrical, but can be approximated with one or many trapezoids when the wheel is small).
What I won't get from scans are exact dimensions. The problem is that scanner likes to distort and even introduces own perspective so no nice 2D here. I decided to stick with computing orientational dimensions by comparing other dimensions from scan with ones I had from caliper measurement.

For measurements, GIMP application can be used, yet a modifiaction to units has to be made as its millimeter measurement displays only 1 decimal place. Because millimeters are GIMP's built-in units, you have to introduce another millimeter definition to GIMP. Click Units from Edit menu and in the window Duplicate the millimeter unit to the end of the list (or create new mm with 25.4 Factor). Editing the unit, change Digits to 2. Close the window and you're ready. You can select the last mm on the list in the status bar to begin measurements in mms with two decimal places.
Measure by just using measure tool and observe results in pop-up window or in status bar.

   FreeCAD time

FreeCAD is an open source 3D modeller which is more user-friendly than BRL-CAD. Although this gear can be done literally with a few commands in BRL's MGED component, I decided to try FreeCAD... as it has a live preview what is happening with geometry, in MGED you have to generate it on demand and you only know some relationships you enter without directly visualizing them (e.g. constraining). First of all, get a new version of FreeCAD as it's in active development. 0.14 from Debian repo should be used only if newer (e.g. 0.16) cannot be used. There is an AppImage in FreeCAD webpage - under Debian 8 you just download it, make executable and run, answering no to questions about installation and storing settings. Avoid this under Debian 7 or you'll for some reason terribly hang the X session when drawing more complex shapes to the point that keyboard will not work on this X screen. To unhang: Go to another console (e.g. Ctrl-Alt-F1), login there, killall freecad, return to GUI by trying Ctrl-Alt-F2 , F3 and other F keys (Graphics screen is near F5..F7).

Now how to use it. Because this gear is simple, I decided to do three steps:
1. Primitive modelling of the gear "hull",
2. Sketching the space between teeth,
3. Applying sketch as pocket to subtract the space between gears and multiplying it.

First of all: If you don't need something to be visible on screen, select it in tree and hit space. It toggles visibility, it's used all time in FreeCAD. With this operation you can also quickly peek at different building blocks of combined solids you made.
Step 1 can be performed in many other ways. You can e.g. sketch the wheel's axisymmetrical section and revolve it by axis. I used primitive modelling, but it's not the only solution.
So for step 1, go to Part workbench and create a first Cylinder. By using properties / data window on the bottom-left part of screen make its radius 7.5mm and height 1mm - this will be our part with teeeth.
Then create another cylinder. 6.05mm in radius and 0.6mm in height, but raised it in Z axis (Placement, then Position) by 1mm - height of the first cylinder. Exactly this value, to make them touch each other. This will be the filled part of the gear.
Third cylinder will be the protruding part. Its height is 2mm and radius 2.3mm, it is raised by 1.6mm (1mm+0.6mm) - sum of heights of previous two cylinders.
Do they look OK? If yes, ctrl-click on all 3 and press the "Union" button to weld them into single solid.

Now let's create this small round alcove in the flat part of the wheel. Notice that its starting height is zero, so create another cylinder, give it radius 2.5mm (am I only one who thinks giving radius there sucks? It's diameter in all technical drawings!) and height 0.2mm without changing any positions. Now click the union you created first, then ctrl-click the newly created cylinder and press "Cut" button in boolean operators group to subtract one solid from another.
Now we will subtract the main hole in the gear - create a cylinder, height 3.6mm, radius 0.85mm, click the first subtraction result, click the cylinder, and "Cut" again.
Notice that if you borked something, in FreeCAD you can just open tree structure, click the wrong solid, correct its dimensions/position and FreeCAD will re-compute everything for you showing a new part after all programmed operations. The only exception in which this doesn't work are cross-cuts. It looks like this - like the gear, but without teeth:

In newer version of FreeCAD there probably will be by-value expression support in properties (click this blue icon to the right of text to enter expression evaluator), so you can use one object's properties as another's. This way, you can type something like Cylinder1.Height+Cylinder2.Height in Z placement of Cylinder3, instead of typing numerical height - it will catch dependencies and compute height. Rename solids by selecting them and hitting F2. I recommend to always rename parts to make the tree easily navigable.
Making teeth is quite complicated thing and I'm sure that I made it a wrong way. However, the 3D printer won't print to such a high detail to make these teeth precise enough. First, I made a sketch on a plane shown in the image above as "A". This is tricky as the tool to make sketch on selected plane is not in Sketch toolbox, but in Part Design toolbox. Go to this mode, ctrl-click the plane A to highlight it and press the Create new sketch button - the first one in Part Design toolbar. Then it'll make an empty sketch in proper plane. The sketch I made looks like this (discolored lines come from my faulty GPU, they should be white):

I intentionally left a few degrees of freedom "loosely defined" (read: "drag to change"). This is for making a quick changes while correcting teeth after generating a whole wheel and making measurements of it. This should be symmetrical, so I forced symmetry constrain against axis for all points on opposite sides (in fact: made one side of axis, then quickly sketched the second one, then applied symmetry constraints to each points pair). Closing the sketch is not so important (although in most cases Pocket will work strange way without), but the tooth line must end after the wheel ends.
Let's do the experiment and make the initial teeth set. After switching to Part design it's needed to click Pocket to force this sketch remove material from the wheel:

Now distribute this pocket by clicking Polar pattern and use Occurrences to specify how many teeth you want. It should compute and spit out the result:

Notice that now you can open the sketch and correct the inter-teeth space as you want. It will apply the sketch and re-compute the gear (which with 35 teeth takes a few seconds). There is a handy Measrement tool in Part workbench to have everything under control. On slower machines (or if you don't like distractions) it's more efficient to clear old measurements after doing them having them not to "hang" during correcting process.

Here, you can download (on CC-BY-NC-SA) a FreeCAD file with wheel.

After reviewing the wheel, STL can be exported by selecting ready solid and clicking Export in File menu. This file goes to 3D printer.

   3D Print result

The printer used is a Up3D Plus 2 printer. With the highest quality, the printing took about 10 minutes and most of time ot was printing support structures. The result looks like this:
In this picture you can see the print-out with support structure. After printing it is needed to cut it off. In this example it is needed to cut it with sharp knife while holding it e.g. in a vice using a washer to protect pipe-like part. Other ways may damage the component.


The first gear designed printed out well and I introduced only minor corrections to it before printing again. The ABS filament is durable enough and gear's teeth are complete. The only thing I found problematic was the extended, pipe-like part which was made hollow, like 2 concentric rings. Because it was hollow, the hole does not maintain axiality well enough (read: the gear goes into shaft in half and doesn't go more without using force) and the gear slightly swings when rotating, nothing very bad but required small mechanical corrections (grinding with file) before winding the tape peoperly and without problems (yet still quite loudly).
The second wheel is a clutch's wheel. It is similar in size, but has 50 smaller teeth instead of 35. Even with selecting the best 0.15mm layer and best resolution the teeth couldn't be printed properly. Unfortunately, this wheel is critical for operating of device as it drives force into tape winding mechanism - failure of this part will cause tape to be pulled into recorder.


Summing up: I started with 3D printing having precise parts which I have little idea about. The first gear has been successfully made and works, but the second one was too precise for printer or my design. This printer was using belt mechanism to move X-Y, now I'll try to find more precise (read: threaded rod + powerful motors) printer.


Older post...       Main page       Newer post...